[youtubei.js](../../../README.md) / [Misc](../README.md) / Author

# Class: Author

## Constructors

### new Author()

> **new Author**(`item`, `badges`?, `thumbs`?, `id`?): [`Author`](Author.md)

#### Parameters

• **item**: [`RawNode`](../../APIResponseTypes/type-aliases/RawNode.md)

• **badges?**: `any`

• **thumbs?**: `any`

• **id?**: `string`

#### Returns

[`Author`](Author.md)

#### Defined in

[src/parser/classes/misc/Author.ts:21](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Author.ts#L21)

## Properties

### badges

> **badges**: [`ObservedArray`](../../Helpers/type-aliases/ObservedArray.md)\<[`YTNode`](../../Helpers/classes/YTNode.md)\>

#### Defined in

[src/parser/classes/misc/Author.ts:15](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Author.ts#L15)

***

### endpoint?

> `optional` **endpoint**: [`NavigationEndpoint`](../../YTNodes/classes/NavigationEndpoint.md)

#### Defined in

[src/parser/classes/misc/Author.ts:14](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Author.ts#L14)

***

### id

> **id**: `string`

#### Defined in

[src/parser/classes/misc/Author.ts:11](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Author.ts#L11)

***

### is\_moderator?

> `optional` **is\_moderator**: `boolean`

#### Defined in

[src/parser/classes/misc/Author.ts:16](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Author.ts#L16)

***

### is\_verified?

> `optional` **is\_verified**: `boolean`

#### Defined in

[src/parser/classes/misc/Author.ts:17](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Author.ts#L17)

***

### is\_verified\_artist?

> `optional` **is\_verified\_artist**: `boolean`

#### Defined in

[src/parser/classes/misc/Author.ts:18](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Author.ts#L18)

***

### name

> **name**: `string`

#### Defined in

[src/parser/classes/misc/Author.ts:12](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Author.ts#L12)

***

### thumbnails

> **thumbnails**: [`Thumbnail`](Thumbnail.md)[]

#### Defined in

[src/parser/classes/misc/Author.ts:13](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Author.ts#L13)

***

### url

> **url**: `string`

#### Defined in

[src/parser/classes/misc/Author.ts:19](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Author.ts#L19)

## Accessors

### best\_thumbnail

> `get` **best\_thumbnail**(): `undefined` \| [`Thumbnail`](Thumbnail.md)

#### Returns

`undefined` \| [`Thumbnail`](Thumbnail.md)

#### Defined in

[src/parser/classes/misc/Author.ts:51](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Author.ts#L51)
